net.sf.jasperreports.engine.design

## Class JRDesignGroup

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseGroup
  - - net.sf.jasperreports.engine.design.JRDesignGroup

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRCloneable, JRGroup

      public class JRDesignGroup
      extends JRBaseGroup

  Version:
    $Id: JRDesignGroup.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_COUNT_VARIABLE`
    `static java.lang.String` | `PROPERTY_EXPRESSION`
    `static java.lang.String` | `PROPERTY_GROUP_FOOTER`
    `static java.lang.String` | `PROPERTY_GROUP_HEADER`
    `static java.lang.String` | `PROPERTY_NAME`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseGroup

      `countVariable, expression, footerPositionValue, groupFooterSection, groupHeaderSection, isReprintHeaderOnEachPage, isResetPageNumber, isStartNewColumn, isStartNewPage, keepTogether, minHeightToStartNewPage, name, PROPERTY_FOOTER_POSITION, PROPERTY_KEEP_TOGETHER, PROPERTY_MIN_HEIGHT_TO_START_NEW_PAGE, PROPERTY_REPRINT_HEADER_ON_EACH_PAGE, PROPERTY_RESET_PAGE_NUMBER, PROPERTY_START_NEW_COLUMN, PROPERTY_START_NEW_PAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignGroup()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `setBandOrigin(JRBand band, BandTypeEnum type)`
    `void` | `setCountVariable(JRVariable countVariable)`
    `void` | `setExpression(JRExpression expression)`
    `void` | `setName(java.lang.String name)`
    `protected void` | `setSectionOrigin(JRSection section, BandTypeEnum type)`
    `protected void` | `updateSectionOrigins()`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseGroup

      `clone, getCountVariable, getEventSupport, getExpression, getFooterPositionValue, getGroupFooterSection, getGroupHeaderSection, getMinHeightToStartNewPage, getName, isKeepTogether, isReprintHeaderOnEachPage, isResetPageNumber, isStartNewColumn, isStartNewPage, setFooterPosition, setKeepTogether, setMinHeightToStartNewPage, setReprintHeaderOnEachPage, setResetPageNumber, setStartNewColumn, setStartNewPage`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_COUNT_VARIABLE

          public static final java.lang.String PROPERTY_COUNT_VARIABLE

      See Also:
        Constant Field Values

    - #### PROPERTY_EXPRESSION

          public static final java.lang.String PROPERTY_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_GROUP_FOOTER

          public static final java.lang.String PROPERTY_GROUP_FOOTER

      See Also:
        Constant Field Values

    - #### PROPERTY_GROUP_HEADER

          public static final java.lang.String PROPERTY_GROUP_HEADER

      See Also:
        Constant Field Values

    - #### PROPERTY_NAME

          public static final java.lang.String PROPERTY_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRDesignGroup

          public JRDesignGroup()

  - ### Method Detail

    - #### setName

          public void setName(java.lang.String name)

    - #### setExpression

          public void setExpression(JRExpression expression)

    - #### setCountVariable

          public void setCountVariable(JRVariable countVariable)

    - #### setSectionOrigin

          protected void setSectionOrigin(JRSection section,
                              BandTypeEnum type)

    - #### setBandOrigin

          protected void setBandOrigin(JRBand band,
                           BandTypeEnum type)

    - #### updateSectionOrigins

          protected void updateSectionOrigins()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com